MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031884Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-10-27 11:342020-12-02 17:13
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031884: Data Exchange - NULL de-reference within STEPCAFControl_Reader::SetSourceCodePage()
DescriptionSTEPCAFControl_Reader::SetSourceCodePage() pretends to allow configuring source code page parameter as before 0028454, but instead it just crashes with NULL de-reference since Model is initialized somewhere later.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028454closedbugmaster Community Data Exchange, STEP reader - names with special characters cannot be read 

-  Notes
(0096292)
git (administrator)
2020-10-27 11:37

Branch CR31884 has been created by kgv.

SHA-1: 8727282a66d21fdba1c592bfee863dbad8fd0720


Detailed log of new commits:

Author: kgv
Date: Tue Oct 27 11:41:12 2020 +0300

    0031884: Data Exchange - NULL de-reference within STEPCAFControl_Reader::SetSourceCodePage()
    
    Removed methods with unclear usage rules.
(0096298)
kgv (developer)
2020-10-27 13:06

Patch removing methods is ready for review
- OCCT branch: CR31884.
(0096317)
abv (manager)
2020-10-27 22:40

No remarks, please integrate
(0096421)
bugmaster (administrator)
2020-10-31 12:48

Combination -
OCCT branch : OCCT-750
master SHA - a8b9d7eb277d4ce8949427b7c6ab6af92422ae83
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750 SHA - d1791aa18ab401708974b4c974aba57dc55acaa7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17977.46000000013 / 17994.53000000008 [-0.09%]
Products
Total CPU difference: 12143.270000000102 / 12171.670000000115 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 19728.796875 / 19728.265625 [+0.00%]
Products
Total CPU difference: 13560.6875 / 13538.390625 [+0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096562)
git (administrator)
2020-11-05 15:59

Branch CR31884 has been deleted by inv.

SHA-1: 8727282a66d21fdba1c592bfee863dbad8fd0720

- Related Changesets
occt: master c3da64a6
Timestamp: 2020-10-27 08:41:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031884: Data Exchange - NULL de-reference within STEPCAFControl_Reader::SetSourceCodePage()

Removed methods with unclear usage rules.
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-27 11:34 kgv New Issue
2020-10-27 11:34 kgv Assigned To => dpasukhi
2020-10-27 11:34 kgv Relationship added child of 0028454
2020-10-27 11:37 git Note Added: 0096292
2020-10-27 13:06 kgv Note Added: 0096298
2020-10-27 13:06 kgv Assigned To dpasukhi => abv
2020-10-27 13:06 kgv Status new => resolved
2020-10-27 22:40 abv Note Added: 0096317
2020-10-27 22:40 abv Assigned To abv => bugmaster
2020-10-27 22:40 abv Status resolved => reviewed
2020-10-31 12:48 bugmaster Note Added: 0096421
2020-10-31 12:48 bugmaster Status reviewed => tested
2020-10-31 12:50 bugmaster Test case number => Not required
2020-10-31 12:54 bugmaster Changeset attached => occt master c3da64a6
2020-10-31 12:54 bugmaster Status tested => verified
2020-10-31 12:54 bugmaster Resolution open => fixed
2020-11-05 15:59 git Note Added: 0096562
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker